org.vertx.java.framework

## Class TestClientBase

- java.lang.Object
- - org.vertx.java.deploy.Verticle
  - - org.vertx.java.framework.TestClientBase

    public abstract class TestClientBase
    extends Verticle

### Field Summary

Fields
`protected TestUtils` `tu`

### Fields inherited from class org.vertx.java.deploy.Verticle

`container, vertx`

### Constructor Summary

Constructors
Constructor and Description
`TestClientBase()`

### Method Summary

Methods
`void` `start()` Vert.x calls the start method when the verticle is deployed
`void` `stop()` Vert.x calls the stop method when the verticle is undeployed.

### Methods inherited from class org.vertx.java.deploy.Verticle

`getContainer, getVertx, setContainer, setVertx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tu

    protected TestUtils tu

### Constructor Detail

#### TestClientBase

    public TestClientBase()

### Method Detail

#### start

    public void start()

Description copied from class: `Verticle`
Vert.x calls the start method when the verticle is deployed

Specified by:
  `start` in class `Verticle`

#### stop

    public void stop()

Description copied from class: `Verticle`
Vert.x calls the stop method when the verticle is undeployed. Put any cleanup code for your verticle in here

Overrides:
  `stop` in class `Verticle`